Subject: Re: [1.7]: /usr/bin/install fails on network drives
From: "A.R. Burgers" <[email-masked]>
To: [email-masked]
Date: Thu, 02 Apr 2009 22:53:27 +0200
Newsgroups: gmane.os.cygwin
List-Id: <cygwin.cygwin.com>

Corinna Vinschen schreef:

 >> Are these Samba shares by any chance?  I can reproduce this only
 >> for Samba shares, not for remote Windows NTFS drives.
 >
 > Oh, btw., install works fine for me, only mv complains with "failed to
 > preserve ownership".  Your above example also doesn't show any error on
 > install...

I've tried several shares. Only on one of them I get an
error with install:

> //ecn/groups/g_zon_software/cygwin17/zz3.txt
> install: setting permissions for
> `//ecn/groups/g_zon_software/cygwin17/zz3.txt': Permission denied 

When I look at the properties of this share it says it uses DFS
(Distributed File System). This drive shows the access bits
as -rwxrwxrwx, the others have -rw-r--r--

with all of them I see the Permission Denied on mv.
I have to ask our administrators for more details.

> I have an idea why this occurs, at least in my configuration.
> My Linux user account under which files are stored is not equivalent
> to my Active Directory account since I'm not running winbind.
> 
> Are you using a winbind mapping from Windows SID to uid/gid?

One of my shares is a hosted on a unix system with a different
account, I'm not sure whether winbind is run. On this share, I have the 
mv issue only.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/